Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.anim
Interface AnimationTarget

All Known Implementing Classes:
  BatikHistogramNormalizationElement, BatikRegularPolygonElement, BatikStarElement, BindableElement, ColorSwitchElement, ExtensionElement, FlowDivElement, FlowLineElement, FlowParaElement, FlowRegionBreakElement, FlowRegionElement, FlowSpanElement, FlowTextElement, GraphicsExtensionElement, PrefixableStylableExtensionElement, StylableExtensionElement, SVGDescriptiveElement, SVGGraphicsElement, SVGOMAElement, SVGOMAltGlyphDefElement, SVGOMAltGlyphElement, SVGOMAltGlyphItemElement, SVGOMAnimateColorElement, SVGOMAnimateElement, SVGOMAnimateMotionElement, SVGOMAnimateTransformElement, SVGOMAnimationElement, SVGOMCircleElement, SVGOMClipPathElement, SVGOMColorProfileElement, SVGOMComponentTransferFunctionElement, SVGOMCursorElement, SVGOMDefinitionSrcElement, SVGOMDefsElement, SVGOMDescElement, SVGOMElement, SVGOMEllipseElement, SVGOMFEBlendElement, SVGOMFEColorMatrixElement, SVGOMFEComponentTransferElement, SVGOMFECompositeElement, SVGOMFEConvolveMatrixElement, SVGOMFEDiffuseLightingElement, SVGOMFEDisplacementMapElement, SVGOMFEDistantLightElement, SVGOMFEFloodElement, SVGOMFEFuncAElement, SVGOMFEFuncBElement, SVGOMFEFuncGElement, SVGOMFEFuncRElement, SVGOMFEGaussianBlurElement, SVGOMFEImageElement, SVGOMFEMergeElement, SVGOMFEMergeNodeElement, SVGOMFEMorphologyElement, SVGOMFEOffsetElement, SVGOMFEPointLightElement, SVGOMFESpecularLightingElement, SVGOMFESpotLightElement, SVGOMFETileElement, SVGOMFETurbulenceElement, SVGOMFilterElement, SVGOMFilterPrimitiveStandardAttributes, SVGOMFlowDivElement, SVGOMFlowLineElement, SVGOMFlowParaElement, SVGOMFlowRegionBreakElement, SVGOMFlowRegionElement, SVGOMFlowRegionExcludeElement, SVGOMFlowRootElement, SVGOMFlowSpanElement, SVGOMFontElement, SVGOMFontFaceElement, SVGOMFontFaceFormatElement, SVGOMFontFaceNameElement, SVGOMFontFaceSrcElement, SVGOMFontFaceUriElement, SVGOMForeignObjectElement, SVGOMGElement, SVGOMGlyphElement, SVGOMGlyphRefElement, SVGOMGradientElement, SVGOMHandlerElement, SVGOMHKernElement, SVGOMImageElement, SVGOMLinearGradientElement, SVGOMLineElement, SVGOMMarkerElement, SVGOMMaskElement, SVGOMMetadataElement, SVGOMMissingGlyphElement, SVGOMMPathElement, SVGOMMultiImageElement, SVGOMPathElement, SVGOMPatternElement, SVGOMPolygonElement, SVGOMPolylineElement, SVGOMRadialGradientElement, SVGOMRectElement, SVGOMScriptElement, SVGOMSetElement, SVGOMSolidColorElement, SVGOMStopElement, SVGOMStyleElement, SVGOMSubImageElement, SVGOMSubImageRefElement, SVGOMSVGElement, SVGOMSwitchElement, SVGOMSymbolElement, SVGOMTextContentElement, SVGOMTextElement, SVGOMTextPathElement, SVGOMTextPositioningElement, SVGOMTitleElement, SVGOMToBeImplementedElement, SVGOMTRefElement, SVGOMTSpanElement, SVGOMURIReferenceElement, SVGOMUseElement, SVGOMViewElement, SVGOMVKernElement, SVGPointShapeElement, SVGStylableElement, SVGURIReferenceGraphicsElement, SVGURIReferenceTextPositioningElement, XBLOMContentElement, XBLOMDefinitionElement, XBLOMElement, XBLOMHandlerGroupElement, XBLOMImportElement, XBLOMShadowTreeElement, XBLOMTemplateElement, XBLOMXBLElement

    public interface AnimationTarget

An interface for targets of animation to provide context information.

Field Summary
`static short` | `PERCENTAGE_FONT_SIZE`
`static short` | `PERCENTAGE_VIEWPORT_HEIGHT`
`static short` | `PERCENTAGE_VIEWPORT_SIZE`
`static short` | `PERCENTAGE_VIEWPORT_WIDTH`

Method Summary
`void` | `addTargetListener(String ns, String an, boolean isCSS, AnimationTargetListener l)` Adds a listener for changes to the given attribute value.
`Element` | `getElement()` Returns the element.
`short` | `getPercentageInterpretation(String ns, String an, boolean isCSS)` Gets how percentage values are interpreted by the given attribute or property.
`AnimatableValue` | `getUnderlyingValue(String ns, String ln)` Returns the underlying value of an animatable XML attribute.
`void` | `removeTargetListener(String ns, String an, boolean isCSS, AnimationTargetListener l)` Removes a listener for changes to the given attribute value.
`float` | `svgToUserSpace(float v, short type, short pcInterp)` Converts the given SVG length into user units.
`void` | `updateAttributeValue(String ns, String ln, AnimatableValue val)` Updates an attribute value in this target.
`void` | `updateOtherValue(String type, AnimatableValue val)` Updates a 'other' animation value in this target.
`void` | `updatePropertyValue(String pn, AnimatableValue val)` Updates a property value in this target.
`boolean` | `useLinearRGBColorInterpolation()` Returns whether color interpolations should be done in linear RGB color space rather than sRGB.

Field Detail

### PERCENTAGE_FONT_SIZE

    static final short PERCENTAGE_FONT_SIZE

See Also:
  Constant Field Values

### PERCENTAGE_VIEWPORT_WIDTH

    static final short PERCENTAGE_VIEWPORT_WIDTH

See Also:
  Constant Field Values

### PERCENTAGE_VIEWPORT_HEIGHT

    static final short PERCENTAGE_VIEWPORT_HEIGHT

See Also:
  Constant Field Values

### PERCENTAGE_VIEWPORT_SIZE

    static final short PERCENTAGE_VIEWPORT_SIZE

See Also:
  Constant Field Values

Method Detail

### getElement

    Element getElement()

  Returns the element.

### updatePropertyValue

    void updatePropertyValue(String pn,
                             AnimatableValue val)

  Updates a property value in this target.

### updateAttributeValue

    void updateAttributeValue(String ns,
                              String ln,
                              AnimatableValue val)

  Updates an attribute value in this target.

### updateOtherValue

    void updateOtherValue(String type,
                          AnimatableValue val)

  Updates a 'other' animation value in this target.

### getUnderlyingValue

    AnimatableValue getUnderlyingValue(String ns,
                                       String ln)

  Returns the underlying value of an animatable XML attribute.

### getPercentageInterpretation

    short getPercentageInterpretation(String ns,
                                      String an,
                                      boolean isCSS)

  Gets how percentage values are interpreted by the given attribute or property.

### useLinearRGBColorInterpolation

    boolean useLinearRGBColorInterpolation()

  Returns whether color interpolations should be done in linear RGB color space rather than sRGB.

### svgToUserSpace

    float svgToUserSpace(float v,
                         short type,
                         short pcInterp)

  Converts the given SVG length into user units.

  Parameters:
    `v` - the SVG length value
    `type` - the SVG length units (one of the `SVGLength`.SVG_LENGTH_* constants)
    `pcInterp` - how to interpretet percentage values (one of the `AnimationTarget`.PERCENTAGE_* constants)
  Returns:
    the SVG value in user units

### addTargetListener

    void addTargetListener(String ns,
                           String an,
                           boolean isCSS,
                           AnimationTargetListener l)

  Adds a listener for changes to the given attribute value.

### removeTargetListener

    void removeTargetListener(String ns,
                              String an,
                              boolean isCSS,
                              AnimationTargetListener l)

  Removes a listener for changes to the given attribute value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.